using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsApplication4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridBand parentBand = e.Layout.Bands[0];
            if (parentBand.Columns.Exists("ChildSummary") == false)
            {
                // Add an Unbound column to the parent row to hold the value of the child
                // row summary. 
                UltraGridColumn column = parentBand.Columns.Add("ChildSummary");
                column.DataType = typeof(Int32);

                // Add a summary for this unbound column for the grand total
                SummarySettings summarySettings = parentBand.Summaries.Add(SummaryType.Sum, parentBand.Columns["ChildSummary"]);

                // Position this summary under teh Value column. 
                summarySettings.SummaryPositionColumn = parentBand.Columns["Value"];

                // Hide the unbound column
                //column.Hidden
            }

            UltraGridBand childBand = e.Layout.Bands[1];
            childBand.Summaries.Add(SummaryType.Sum, childBand.Columns["Value"]);
            childBand.Override.SummaryDisplayArea = SummaryDisplayAreas.Bottom;            
        }

        private void ultraGrid1_InitializeRow(object sender, InitializeRowEventArgs e)
        {
            if (e.Row.Band.Index == 0 && 
                e.Row.Band.Columns.Exists("ChildSummary"))
            {
                e.Row.Cells["ChildSummary"].Value = e.Row.ChildBands[0].Rows.SummaryValues[0].Value;
            }
        }
    }
}